MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
emoshapeio::array_message Class Reference

`#include <sio_message.h>`

Inheritance diagram for emoshapeio::array_message:

## Public Member Functions
void | push (message::ptr const &message)
void | push (const std::string &text)
void | push (std::string &&text)
void | push (std::shared_ptr< std::string > const &binary)
void | push (std::shared_ptr< const std::string > const &binary)
void | insert (size_t pos, message::ptr const &message)
void | insert (size_t pos, const std::string &text)
void | insert (size_t pos, std::string &&text)
void | insert (size_t pos, std::shared_ptr< std::string > const &binary)
void | insert (size_t pos, std::shared_ptr< const std::string > const &binary)
size_t | size () const
const message::ptr & | at (size_t i) const
const message::ptr & | operator[] (size_t i) const
std::vector< ptr > & | get_vector ()
const std::vector< ptr > & | get_vector () const
Public Member Functions inherited from emoshapeio::message
virtual | ~message ()
flag | get_flag () const
virtual bool | get_bool () const
virtual int64_t | get_int () const
virtual double | get_double () const
virtual std::string const & | get_string () const
virtual std::shared_ptr< const std::string > const & | get_binary () const
virtual const std::map< std::string, message::ptr > & | get_map () const
virtual std::map< std::string, message::ptr > & | get_map ()

## Static Public Member Functions
static message::ptr | create ()

## Additional Inherited Members
Public Types inherited from emoshapeio::message
enum | flag { flag_integer , flag_double , flag_string , flag_binary , flag_array , flag_object , flag_boolean , flag_null }
typedef std::shared_ptr< message > | ptr
Protected Member Functions inherited from emoshapeio::message
| message (flag f)

## Member Function Documentation

## ◆ at()

const message::ptr & emoshapeio::array_message::at | ( | size_t | i | ) | const
| inline

## ◆ create()

static message::ptr emoshapeio::array_message::create | ( |  | ) |
| inline static

## ◆ get_vector() [1/2]

std::vector< ptr > & emoshapeio::array_message::get_vector | ( |  | ) |
| inline virtual

Reimplemented from emoshapeio::message.

## ◆ get_vector() [2/2]

const std::vector< ptr > & emoshapeio::array_message::get_vector | ( |  | ) | const
| inline virtual

Reimplemented from emoshapeio::message.

## ◆ insert() [1/5]

void emoshapeio::array_message::insert | ( | size_t | pos,
|  | const std::string & | text )
| inline

## ◆ insert() [2/5]

void emoshapeio::array_message::insert | ( | size_t | pos,
|  | message::ptr const & | message )
| inline

## ◆ insert() [3/5]

void emoshapeio::array_message::insert | ( | size_t | pos,
|  | std::shared_ptr< const std::string > const & | binary )
| inline

## ◆ insert() [4/5]

void emoshapeio::array_message::insert | ( | size_t | pos,
|  | std::shared_ptr< std::string > const & | binary )
| inline

## ◆ insert() [5/5]

void emoshapeio::array_message::insert | ( | size_t | pos,
|  | std::string && | text )
| inline

## ◆ operator[]()

const message::ptr & emoshapeio::array_message::operator[] | ( | size_t | i | ) | const
| inline

## ◆ push() [1/5]

void emoshapeio::array_message::push | ( | const std::string & | text | ) |
| inline

## ◆ push() [2/5]

void emoshapeio::array_message::push | ( | message::ptr const & | message | ) |
| inline

## ◆ push() [3/5]

void emoshapeio::array_message::push | ( | std::shared_ptr< const std::string > const & | binary | ) |
| inline

## ◆ push() [4/5]

void emoshapeio::array_message::push | ( | std::shared_ptr< std::string > const & | binary | ) |
| inline

## ◆ push() [5/5]

void emoshapeio::array_message::push | ( | std::string && | text | ) |
| inline

## ◆ size()

size_t emoshapeio::array_message::size | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- EmoShapeIOLib/Public/sio_message.h